[oe-commits] Scott Garman : qemugl: make postinst run at first boot

git at git.openembedded.org git at git.openembedded.org
Tue Apr 17 23:28:58 UTC 2012


Module: openembedded-core.git
Branch: master
Commit: dc0fe3fbf9ca862c1d0d90468e6da326f58e3b41
URL:    http://git.openembedded.org/?p=openembedded-core.git&a=commit;h=dc0fe3fbf9ca862c1d0d90468e6da326f58e3b41

Author: Scott Garman <scott.a.garman at intel.com>
Date:   Tue Apr 17 23:10:30 2012 +0000

qemugl: make postinst run at first boot

The previous postinst script was not working for images which use
RPM because do_rootfs could allow qemugl to be installed after
libgl1, and the postinst needs to run after libgl1 is installed.

Hence, it's being changed to run at first boot instead of during
do_rootfs.

Signed-off-by: Scott Garman <scott.a.garman at intel.com>
Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>

---

 meta/recipes-graphics/mesa/qemugl_git.bb |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

diff --git a/meta/recipes-graphics/mesa/qemugl_git.bb b/meta/recipes-graphics/mesa/qemugl_git.bb
index 378aa65..32980d3 100644
--- a/meta/recipes-graphics/mesa/qemugl_git.bb
+++ b/meta/recipes-graphics/mesa/qemugl_git.bb
@@ -19,7 +19,7 @@ S = "${WORKDIR}/git"
 SRCREV = "d888bbc723c00d197d34a39b5b7448660ec1b1c0"
 
 PV = "0.0+git${SRCPV}"
-PR = "r10"
+PR = "r11"
 
 DEFAULT_PREFERENCE = "-1"
 
@@ -34,11 +34,17 @@ do_install () {
     fi
 }
 
+# This cannot be converted to run at pacakge install time, because
+# it depends on being run after the libgl1 package is installed,
+# and RPM cannot guarantee the order of pacakge insallation.
 pkg_postinst_${PN} () {
-    if [ "${PN}" != "qemugl-nativesdk" ]; then
-        rm -f $D${libdir}/libGL.so.1.2
-        ln -s libGL-qemu.so.1.2 $D${libdir}/libGL.so.1.2
-    fi
+#!/bin/sh -e
+if [ x"$D" = "x" ]; then
+	rm -f ${libdir}/libGL.so.1.2
+	ln -s libGL-qemu.so.1.2 ${libdir}/libGL.so.1.2
+else
+	exit 1
+fi
 }
 
 BBCLASSEXTEND = "nativesdk"





More information about the Openembedded-commits mailing list